# Company

{% hint style="danger" %}
This endpoint is not yet operational and is thus subject to change.
{% endhint %}

## Show Company

<mark style="color:blue;">`GET`</mark> `https://app.clubcollect.com/api/v2/companies/:id`

Fetch a Company’s details.

#### Path Parameters

| Name                                 | Type   | Description                          |
| ------------------------------------ | ------ | ------------------------------------ |
| id<mark style="color:red;">\*</mark> | string | Company ID, supplied by ClubCollect. |

#### Query Parameters

| Name    | Type   | Description                  |
| ------- | ------ | ---------------------------- |
| api:key | string | Partner API Key (Deprecated) |

#### Headers

| Name                                            | Type   | Description        |
| ----------------------------------------------- | ------ | ------------------ |
| Authorization<mark style="color:red;">\*</mark> | string | ApiKey \<api\_key> |

{% tabs %}
{% tab title="200 " %}

```javascript
{
  "company_id": "a1f3216863ba5d5424dcbace46ab37be98d70c92", 
  "name": "Amsterdam Collectors FC",
  "brand": "clubcollect",
  "email": "admin@amscollectors.nl",
  "locale": "nl",
  "address1": "Sint Pieterspoortsteeg",
  "address2": "2nd floor",
  "house_number": "2",
  "zipcode": "1012 HM",
  "city": "Amsterdam",
  "country_code": "NL",
  "currency": "EUR"
}
```

{% endtab %}

{% tab title="404 " %}

```javascript
{
    "errors": "not_found"
}
```

{% endtab %}
{% endtabs %}

## Create Company

<mark style="color:green;">`POST`</mark> `https://app.clubcollect.com/api/v2/companies`

Create a new Company.

#### Query Parameters

| Name    | Type   | Description                  |
| ------- | ------ | ---------------------------- |
| api:key | string | Partner API Key (Deprecated) |

#### Headers

| Name                                            | Type   | Description        |
| ----------------------------------------------- | ------ | ------------------ |
| Authorization<mark style="color:red;">\*</mark> | string | ApiKey \<api\_key> |

#### Request Body

| Name                                           | Type   | Description                                                                |
| ---------------------------------------------- | ------ | -------------------------------------------------------------------------- |
| name<mark style="color:red;">\*</mark>         | string | Name of Company.                                                           |
| brand<mark style="color:red;">\*</mark>        | string | Brand code. From `{ clubbaseio knltb dtb clubcollect clubcollectde }`.     |
| email<mark style="color:red;">\*</mark>        | string | Email address of Company contact.                                          |
| locale<mark style="color:red;">\*</mark>       | string | Default locale for Company members. From `{ de en fr it nl }`.             |
| country:code<mark style="color:red;">\*</mark> | string | Country of official Company registration. From `{ AT BE CH DE GB IE NL }`. |
| address1                                       | string |                                                                            |
| address2                                       | string |                                                                            |
| house:number                                   | string |                                                                            |
| zipcode                                        | string |                                                                            |
| city                                           | string |                                                                            |
| vat:percentage                                 | number |                                                                            |
| partnership:page:url                           | string |                                                                            |
| currency<mark style="color:red;">\*</mark>     | string | Currency. From `{ EUR GBP CHF }`.                                          |

{% tabs %}
{% tab title="200 " %}

```javascript
{
  "company_id": "a1f3216863ba5d5424dcbace46ab37be98d70c92",
  "name": "Amsterdam Collectors FC",
  "brand": "clubcollect",
  "email": "admin@amscollectors.nl",
  "locale": "nl",
  "address1": "Sint Pieterspoortsteeg",
  "address2": "2nd floor",
  "house_number": "2",
  "zipcode": "1012 HM",
  "city": "Amsterdam",
  "country_code": "NL",
  "currency": "EUR"
}
```

{% endtab %}
{% endtabs %}

## Update Company

<mark style="color:orange;">`PUT`</mark> `https://app.clubcollect.com/api/v2/companies/:id`

Update Company details.

#### Path Parameters

| Name                                 | Type   | Description                          |
| ------------------------------------ | ------ | ------------------------------------ |
| id<mark style="color:red;">\*</mark> | string | Company ID, supplied by ClubCollect. |

#### Query Parameters

| Name    | Type   | Description                  |
| ------- | ------ | ---------------------------- |
| api:key | string | Partner API Key (Deprecated) |

#### Headers

| Name                                            | Type   | Description        |
| ----------------------------------------------- | ------ | ------------------ |
| Authorization<mark style="color:red;">\*</mark> | string | ApiKey \<api\_key> |

{% tabs %}
{% tab title="200 " %}

```javascript
{
  "company_id": "a1f3216863ba5d5424dcbace46ab37be98d70c92",
  "name": "Amsterdam Collectors FC",
  "brand": "clubcollect",
  "email": "admin@amscollectors.nl",
  "locale": "nl",
  "address1": "Sint Pieterspoortsteeg",
  "address2": "2nd floor",
  "house_number": "2",
  "zipcode": "1012 HM",
  "city": "Amsterdam",
  "country_code": "NL",
  "currency": "EUR"
}
```

{% endtab %}
{% endtabs %}

Parameters for `PUT` are the same as `POST`.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.clubcollect.com/api-documentation/company.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
